Subject: Re: Build failure in -next with get_user_pages_remote() API change

From: Catalin Marinas <[email-masked]>
Date: Thu, 23 Jul 2020 19:10:37 +0100

On Fri, Jul 10, 2020 at 03:28:58PM -0700, Andrew Morton wrote:
> On Fri, 10 Jul 2020 16:23:58 +0100 Catalin Marinas <[email-masked]> wrote:
> > > --- a/arch/arm64/kernel/mte.c
> > > +++ b/arch/arm64/kernel/mte.c
> > > @@ -221,7 +221,7 @@ static int __access_remote_tags(struct task_struct *tsk, struct mm_struct *mm,
> > >                 void *maddr;
> > >                 struct page *page = NULL;
> > >  
> > > -               ret = get_user_pages_remote(tsk, mm, addr, 1, gup_flags,
> > > +               ret = get_user_pages_remote(mm, addr, 1, gup_flags,
> > >                                             &page, &vma, NULL);
> > >                 if (ret <= 0)
> > >                         break;
> > > 
> > > Seems to be a new caller merged recently, so it got left behind during the
> > > rebases...  Sorry for not noticing that.
> > 
> > The mte code is only in -next but since it's based on 5.8-rc3, we can't
> > change it without breaking it.
> > 
> > Is there a stable branch somewhere with the gup patches? If not, I can
> > provisionally drop the affected MTE patches from -next and push them
> > upstream closer to the -rc1 (it's the ptrace support from MTE).
> 
> Is OK.  I restaged this patch series to come after linux-next's
> material and added Peter's fixup.  I'll merge this series into Linus
> after the ARM tree has merged so everything will land nicely.

Just a heads-up that I'll drop the arm64 MTE series from -next,
postponing the merging until 5.10 (there is an ongoing discussion on the
prctl() aspect and I don't want to be forced to change the user ABI
after upstreaming). You'll get another conflict for Peter's hunk above.

Thanks.

-- 
Catalin